<?php
/**
 * The template for displaying Archive pages.
 *
 * @package WordPress
 * @subpackage Celestial Lite
 * @since Celestial lite 1.0
 */

get_header(); ?>

	<section id="primary" class="site-content span8">
		<div id="content" role="main">

		<?php if ( have_posts() ) : ?>
			<header class="archive-header">
				<h1 class="archive-title"><?php
					if ( is_day() ) :
						printf( __( 'Article for %s', 'st' ), '<span>' . get_the_date( _x( 'F j, Y', 'daily archives date format', 'st' ) ) . '</span>' );
					elseif ( is_month() ) :
						printf( __( 'Articles for %s', 'st' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'st' ) ) . '</span>' );
					elseif ( is_year() ) :
						printf( __( 'Articles for %s', 'st' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'st' ) ) . '</span>' );
					else :
						_e( 'Articles', 'st' );
					endif;
				?></h1>
			</header><!-- .archive-header -->

			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/* Include the post format-specific template for the content. If you want to
				 * this in a child theme then include a file called called content-___.php
				 * (where ___ is the post format) and that will be used instead.
				 */
				get_template_part( '/partials/content', get_post_format() ); 

			endwhile;

			styledthemes_content_nav( 'nav-below' );
			?>

		<?php else : ?>
			<?php get_template_part( 'content', 'none' ); ?>
		<?php endif; ?>

		</div><!-- #content -->
	</section><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>